## tokodon 23.02.0~sparky7~0

=== debian/changelog ===
tokodon (23.02.0~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 19 Feb 2023 11:19:04 +0000
