=== debian/control ===
Source: tokodon
Section: Networkong
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: cmake, debhelper (>= 10), qtbase5-dev, hicolor-icon-theme, libkf5coreaddons-dev, libkf5kio-dev, kirigami-addons-dev, qml-module-org-kde-kitemmodels, libkf5notifications-dev, libkf5qqc2desktopstyle-dev, libqt5websockets5-dev, qtkeychain-qt5-dev, extra-cmake-modules, qtmultimedia5-dev, kirigami2-dev, qml-module-org-kde-kirigami2, libqt5core5a, qml-module-qt-labs-qmlmodels
Standards-Version: 3.9.6
Homepage: https://github.com/KDE/tokodon

Package: tokodon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tokodon
 A Mastodon client for Plasma and Plasma Mobile
