## tokodon 23.02.0

=== debian/changelog ===
tokodon (23.02.0-1) unstable; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Mar 2023 09:04:53 +0100
