=== debian/control ===
Source: tokodon
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.77.0~),
               gettext,
               kirigami-addons-dev (>= 0.6~),
               libkf5config-dev (>= 5.77.0~),
               libkf5coreaddons-dev (>= 5.77.0~),
               libkf5dbusaddons-dev (>= 5.77.0~),
               libkf5i18n-dev (>= 5.77.0~),
               libkf5kio-dev (>= 5.77.0~),
               libkf5notifications-dev (>= 5.77.0~),
               libkf5qqc2desktopstyle-dev (>= 5.77.0~),
               libkf5windowsystem-dev (>= 5.77.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5websockets5-dev (>= 5.15.0~),
               kirigami2-dev (>= 5.77.0~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtkeychain-qt5-dev,
               qtmultimedia5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/tokodon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tokodon
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tokodon.git
Rules-Requires-Root: no

Package: tokodon
Architecture: any
Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.6~),
         qml-module-org-kde-kirigami2 (>= 5.77.0~),
         qml-module-org-kde-kitemmodels (>= 5.77.0~),
         qml-module-org-kde-sonnet (>= 5.77.0~),
         qml-module-qt-labs-platform,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${shlibs:Depends},
         ${misc:Depends},
Description: modern Mastodon client
 Tokodon is a modern client for Mastodon, Pleroma, and Nextcloud Social, built
 using the Kirigami technology.
 .
 Tokodon allows you to interact with the Fediverse community.
