## tokodon 23.04.2

=== debian/changelog ===
tokodon (23.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch kirigami-addons-dev B-D to kirigami-addons5-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Aug 2024 17:55:48 +0200

tokodon (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * tokodon is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Update the build dependencies according to the upstream build system:
    - bump kirigami-addons-dev to 0.7.2
    - add libkf5configwidgets-dev
  * Bump the kirigami-addons packages dependencies to 0.7.2.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Jun 2023 07:32:08 +0200

tokodon (23.02.0-2) unstable; urgency=medium

  * Add lintian overrides for copyright/license files to not list in
    debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jun 2023 21:51:04 +0200
