=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tokodon
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.77.0~),
                gettext,
-               kirigami-addons-dev (>= 0.6~),
+               kirigami-addons5-dev (>= 0.7.2~),
                libkf5config-dev (>= 5.77.0~),
+               libkf5configwidgets-dev (>= 5.77.0~),
                libkf5coreaddons-dev (>= 5.77.0~),
                libkf5dbusaddons-dev (>= 5.77.0~),
                libkf5i18n-dev (>= 5.77.0~),
@@ -29,13 +30,13 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/tokodon
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tokodon
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tokodon.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
 Rules-Requires-Root: no
 
 Package: tokodon
 Architecture: any
-Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.6~),
+Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.7.2~),
          qml-module-org-kde-kirigami2 (>= 5.77.0~),
          qml-module-org-kde-kitemmodels (>= 5.77.0~),
          qml-module-org-kde-sonnet (>= 5.77.0~),
