=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: tokodon
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.77.0~),
                gettext,
-               kirigami-addons5-dev (>= 0.7.2~),
+               kirigami-addons-dev (>= 0.7.2~),
+               kirigami2-dev (>= 5.77.0~),
                libkf5config-dev (>= 5.77.0~),
                libkf5configwidgets-dev (>= 5.77.0~),
                libkf5coreaddons-dev (>= 5.77.0~),
@@ -18,9 +20,9 @@
                libkf5notifications-dev (>= 5.77.0~),
                libkf5qqc2desktopstyle-dev (>= 5.77.0~),
                libkf5windowsystem-dev (>= 5.77.0~),
+               libmpv-dev,
                libqt5svg5-dev (>= 5.15.0~),
                libqt5websockets5-dev (>= 5.15.0~),
-               kirigami2-dev (>= 5.77.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtkeychain-qt5-dev,
@@ -30,8 +32,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/tokodon
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/tokodon
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/tokodon.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/tokodon
 Rules-Requires-Root: no
 
 Package: tokodon
