## tokodon 23.08.1

=== debian/changelog ===
tokodon (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:34 +0100

tokodon (23.08.0-0ubuntu2) mantic; urgency=medium

  * Add extra kirigami-addons qml module depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 17:32:17 +0100
