## tokodon 23.08.4

=== debian/changelog ===
tokodon (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 20:01:19 +0300

tokodon (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:46 +0000
