=== debian/control ===
--- 
+++ 
@@ -39,6 +39,9 @@
 Package: tokodon
 Architecture: any
 Depends: qml-module-org-kde-kirigami-addons-labs-mobileform (>= 0.7.2~),
+         qml-module-org-kde-kirigami-addons-labs-components,
+         qml-module-org-kde-kirigami-addons-components,
+         qml-module-org-kde-kirigami-addons-delegates,
          qml-module-org-kde-kirigami2 (>= 5.77.0~),
          qml-module-org-kde-kitemmodels (>= 5.77.0~),
          qml-module-org-kde-sonnet (>= 5.77.0~),
