## tokodon 24.08.2

=== debian/changelog ===
tokodon (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:02:24 -0500

tokodon (24.08.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to kf6 debhelper build sequence.
  * Replace manual QML runtime dependencies management with dh-sequence-
    qmldeps.
  * Review copyright information.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Add myself to the uploaders.
  * Drop obsolete lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Oct 2024 00:46:28 +0200

tokodon (23.08.5-0ubuntu6) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 13:27:55 +0300

tokodon (23.08.5-0ubuntu5) oracular; urgency=medium

  * Replace kirigami-addons-dev B-D with kf5-kirigami-addons-dev.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 11:09:56 +0300
