## tokodon 24.12.0

=== debian/changelog ===
tokodon (24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Limit qt6-webview-dev build dependency to amd64 arm64 armhf and i386
    where it’s available, make QtWebView optional for dh_qmldepends.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 14:31:50 +0100

tokodon (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 17:00:58 +0100
