## tokodon 24.12.1

=== debian/changelog ===
tokodon (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:42:20 +0000

tokodon (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:27:25 +0000

tokodon (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:18:01 +0000

tokodon (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:16:28 +0000

tokodon (24.08.3-0ubuntu2) plucky; urgency=medium

  * Only build with QtWebView on amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 15:53:09 +0000

tokodon (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:31 +0000
