=== debian/changelog ===
tokodon (24.12.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:14 -0500

tokodon (24.12.3-0ubuntu2) plucky; urgency=medium

  * Build depend on qml6-module-org-kde-kquickcontrolsaddons for
    qmldeps.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 09:52:21 +0000

tokodon (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:33 +0000

tokodon (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:09:10 +0000

tokodon (24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:13:13 -0600
