=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                libssl-dev,
                qml6-module-org-kde-notifications,
                qml6-module-org-kde-purpose,
+               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qtcore,
                qml6-module-qtquick-dialogs,
                qml6-module-qtquick-effects,
