## tokodon 25.04.1

=== debian/changelog ===
tokodon (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:54 +0100

tokodon (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6iconthemes-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:07:30 +0100
