=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libkf6crash-dev (>= 6.0.0~),
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev,
                libkf6kio-dev (>= 6.0.0~),
                libkf6notifications-dev (>= 6.0.0~),
                libkf6purpose-dev (>= 6.0.0~),
@@ -27,9 +28,9 @@
                libmpvqt-dev,
                libqqc2breezestyle-dev (>= 6.0.0~),
                libssl-dev,
+               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-org-kde-notifications,
                qml6-module-org-kde-purpose,
-               qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qtcore,
                qml6-module-qtquick-dialogs,
                qml6-module-qtquick-effects,
