## tokodon 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -13,15 +13,8 @@
 
 option(SAILFISHOS "Build for sailfishOS" OFF)
 
-set(SHOULD_USE_QTMULTIMEDIA OFF)
-if (WIN32)
-    set(SHOULD_USE_QTMULTIMEDIA ON)
-endif()
-
-option(USE_QTMULTIMEDIA "Use QtMultimedia instead of MpvQt for video playback" ${SHOULD_USE_QTMULTIMEDIA})
-
-set(KF_MIN_VERSION "6.5.0")
-set(QT_MIN_VERSION "6.6")
+set(KF_MIN_VERSION "6.11.0")
+set(QT_MIN_VERSION "6.8.0")
 
 include(FeatureSummary)
 
@@ -33,10 +26,10 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test)
+find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core Quick Gui QuickControls2 Svg WebSockets Test Multimedia)
 set_package_properties(Qt6 PROPERTIES
         TYPE REQUIRED
         PURPOSE "Required application components"
@@ -49,7 +42,7 @@
 )
 set(USE_QTWEBVIEW ${Qt6WebView_FOUND})
 
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme)
+find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Kirigami KirigamiPlatform I18n Notifications Config CoreAddons ColorScheme IconThemes)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components"
@@ -81,8 +74,9 @@
 )
 
 if (TARGET KUnifiedPush)
-    find_package(OpenSSL REQUIRED)
+    find_package(OpenSSL)
     set_package_properties(OpenSSL PROPERTIES
+            TYPE REQUIRED
             PURPOSE "Generate push notification keys"
     )
 endif()
@@ -124,7 +118,7 @@
     )
 endif ()
 
-if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
+if (NOT ANDROID AND NOT WIN32 AND NOT APPLE AND NOT HAIKU)
     find_package(KF6DBusAddons ${KF_MIN_VERSION})
     set_package_properties(KF6DBusAddons PROPERTIES
             TYPE REQUIRED
@@ -136,20 +130,6 @@
             PURPOSE "Misc windowing operations"
     )
 endif ()
-
-if (USE_QTMULTIMEDIA)
-    find_package(Qt6Multimedia ${QT_MIN_VERSION})
-    set_package_properties(Qt6Multimedia PROPERTIES
-            TYPE REQUIRED
-            PURPOSE "Video playback"
-    )
-else()
-    find_package(MpvQt)
-    set_package_properties(MpvQt PROPERTIES
-            PURPOSE "Video playback"
-            TYPE REQUIRED
-    )
-endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -158,28 +138,38 @@
 include(ECMFindQmlModule)
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
-include(KDECMakeSettings)
+include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
 include(KDEGitCommitHooks)
 include(ECMQmlModule)
+include(ECMDeprecationSettings)
+include(ECMCheckOutboundLicense)
 
 if (ANDROID)
     include(ECMAddAndroidApk)
 endif ()
+
+qt_policy(SET QTP0004 NEW)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX TOKODON
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/tokodon-version.h
 )
 
-ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
+ecm_set_disabled_deprecation_versions(
+        QT ${QT_MIN_VERSION}
+        KF ${KF_MIN_VERSION}
+)
+
+ecm_find_qmlmodule(org.kde.kitemmodels REQUIRED)
+ecm_find_qmlmodule(org.kde.notification REQUIRED)
+ecm_find_qmlmodule(org.kde.kquickcontrolsaddons REQUIRED)
+ecm_find_qmlmodule(org.kde.prison REQUIRED)
 
 if (NOT ANDROID)
-    ecm_find_qmlmodule(org.kde.sonnet 1.0)
-endif()
-
-add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)
+    ecm_find_qmlmodule(org.kde.sonnet REQUIRED)
+endif()
 
 add_subdirectory(src)
 
@@ -203,3 +193,9 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
+# CI installs dependency headers to _install and _build, which break the reuse check
+# Fixes the test by excluding this directory
+list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[.*(install|build).*/.*]])
+ecm_check_outbound_license(LICENSES GPL-3.0-only FILES ${ALL_SOURCE_FILES})
