=== debian/changelog ===
tokodon (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Backport upstream commit:
      - Fix a crash when trying to block an account through the post menu.
      [128cdaa7]
      - Add missing mute/block management on the safety page. [4f09a6e8,
      5587bbb9] (kde#506374)
      - Fix broken audio in video attachments playback. [fc886374]
      (kde#505303)
      - Fix crash when trying to save less than the max number of fields.
      [9eb657e1]
      - Add missing toggle for search indexing in account settings. [b319e681]
      - Make sure that toggling account options affects the correct account.
      [4643870b]
      - Fix possible erroneous trailing space in OAuth scope parameter.
      [df89658d]
  * Revert upstream commit 357ef28c which silently requires kirigami
    addons 1.9+ and breaks the account page.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Jul 2025 18:34:20 +0200

tokodon (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Clamp contentY when using the PageUp key. (kde#501936)
    - Stop registering for push notifications despite them being disabled.
    - Print out what the old endpoint was in the warning message.
    - Don't spam network error log with push subscription checks.
    - Don't bother updating push subscriptions if there is none.
    - Remove annual_report from push notification rules.
    - Call updatePushNotifications when toggling the notifications checkbox.
  * New upstream release (25.04.2).
    - ModerationTools: Fix opening some subpages.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:37:39 +0200
