## tokodon 25.07.80

=== debian/changelog ===
tokodon (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * New build depend on qcoro-qt6-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:30:12 +0100

tokodon (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:20 +0100
